Request NFT Custom Contract Deployment

Requests NFT Custom contract deployment. uuid of the deployment transaction will be returned upon successful request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
number
required

Wallet index

Body Params
string
required

Unique ID available to enter when requesting deployment. The request will fail when there is a duplicate requestId exists in the request.

string

Result of the user key being encrypted with the RSA public key. This must be entered when the key management method is set to joint management. You can find the RSA public key from the developer tool of the Octet console.

string

Description of the deployment that can be entered when requesting deployment. This does not involve blockchains and is recorded in Octet’s database.

boolean

Decide whether to generate fee delegation transactions. When it is set to true, the wallet’s fee address will pay the fees of transactions. This only applies to the platforms that support fee delegation (e.g., Kaia).

string
enum
required

NFT contract type to deploy. custom NFT deployment feature only supports the Ethereum specification. Ethereum: ‘ERC721’, ‘ERC1155’ Kaia: ‘KIP17’, ‘KIP37’

Allowed:
string
required
length ≤ 40

NFT contract Name. (Character limit: 40 characters) When there is a contract with the same name, and the token symbol exists, the corresponding request fails.

string
required
length ≤ 10

NFT symbol. (Character limit: 10 characters) When there is a contract with the same name, and the token symbol exists, the corresponding request fails.

string
length ≤ 150

base uri that determines NFT’s tokenUri (Character limit: 150 characters) Used for ERC721 or ERC1155. When minting NFTs from Octet, it has to be uri ending with /. Therefore, tokenUri is base uri + tokenId. e.g.) baseUri: ipfs://HEXLANT/ tokenId: 1 => tokenUri: ipfs://HEXLANT/1

string

Image URL of the NFT symbol

string
enum
required

컨트랙트의 권한 시스템을 결정합니다.

  • ownable: 관리자가 모든 권한을 가집니다.
  • roles: 각 기능별 권한을 분리할 수 있습니다.
Allowed:
nftFeatures
array of strings
required

활성화시킬 NFT 기능.

  • BURNABLE: NFT 소유자가 자신의 NFT를 소각할 수 있습니다.
  • OWNER_BURNABLE: 관리자가 특정 NFT를 소각할 수 있습니다.
  • PAUSABLE: 관리자가 컨트랙트를 중지시킬 수 있습니다.
  • MINTABLE: 관리자가 NFT를 발행할 수 있습니다 해당 옵션이 활성화되지 않은 경우 NFT item 발행을 할 수 없습니다.
  • AIRDROP: 관리자가 같은 종류의 NFT를 여러 주소에게 발행할 수 있습니다. 현재는 해당 메서드의 호출을 지원하고 있지 않습니다.
  • ENUMERABLE: 모든 NFT 리스트를 블록체인 상에서 확인할 수 있습니다. ERC721 스펙에서만 지원되는 기능입니다.
  • URI_STORAGE: 각 NFT를 발행할 때 마다 uri를 입력받고 연결시킵니다. ERC721 스펙에서만 지원되는 기능입니다.
  • INCREMENTAL: NFT item의 번호가 0번부터 순차적으로 매겨집니다. NFT item 발행 시 tokenId 입력을 하지 않습니다. ERC721 스펙에서만 지원되는 기능입니다.
  • SUPPLY: tokenId 별 총 발행량을 확인할 수 있습니다. ERC1155 스펙에서만 지원되는 기능입니다.
  • UPDATABLE_URI: 관리자가 URI를 수정할 수 있습니다. ERC1155 스펙에서만 지원되는 기능입니다.
nftFeatures*
string
required

Sending address. This must be an address that exists in the wallet. Custodial wallets cannot set child address as a senderAddress.

string

Sending address PIN. This must be entered when the sending address is a child address using a PIN.

Headers
string
required
Defaults to Bearer

API token

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json